
ALTER PROCEDURE [dbo].[upd_doc_subtipoDocumento]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_subtipoDocumento varchar(300) = null,
		@p_subtipoDocumento_codigo varchar(100) = null,
		@p_prefijo varchar(10) = null,
		@p_consecutivo int = null,
		@p_id_tipoDocumento int = null,
		@p_programarPlaneadas bit = null,
		@p_cargarSolicitante bit = null,
		@p_verCentroCosto bit = null,
		@p_verIncoterm bit = null,
		@p_valUrgente bit = null,
		@p_bloquearDespacho bit = null,
		@p_cerrarSol bit = null,
		@p_ejecutaDevolucion bit = null,
		@p_tipoCobro int=null
AS
BEGIN
		UPDATE [doc_subtipoDocumento]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[subtipoDocumento] = isnull(@p_subtipoDocumento,[subtipoDocumento]),
			[subtipoDocumento_codigo] = isnull(@p_subtipoDocumento_codigo,[subtipoDocumento_codigo]),
			[prefijo] = isnull(@p_prefijo,[prefijo]),
			[consecutivo] = isnull(@p_consecutivo,[consecutivo]),
			[id_tipoDocumento] = isnull(@p_id_tipoDocumento,[id_tipoDocumento]),
			[programarPlaneadas] = isnull(@p_programarPlaneadas,[programarPlaneadas]),
			[cargarSolicitante] = isnull(@p_cargarSolicitante,[cargarSolicitante]),
			[verCentroCosto] = isnull(@p_verCentroCosto,[verCentroCosto]),
			[verIncoterm] = isnull(@p_verIncoterm,[verIncoterm]),
			[valUrgente] = isnull(@p_valUrgente,[valUrgente]),
			[bloquearDespacho] = isnull(@p_bloquearDespacho,[bloquearDespacho]),
			[cerrarSol] = isnull(@p_cerrarSol,[cerrarSol]),
			[ejecutaDevolucion] = isnull(@p_ejecutaDevolucion,[ejecutaDevolucion]),
			[tipoCobro] = isnull(@p_tipoCobro,[tipoCobro])
		WHERE (id = @p_id)
END
GO


